Open SCAP Library: cpe_platform Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
cpe_platform Struct Reference
CPE » CPE Language

Single platform representation in CPE language. More...

`#include <cpelang_priv.h>`

## Public Member Functions
struct cpe_platform * | cpe_platform_new (void)
| Constructor of CPE Platform.
void | cpe_platform_free (struct cpe_platform *platform)
| Free function of CPE Platform.
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | cpe_platform_get_id (const struct cpe_platform *item)
| cpe_platform functions to get id
const char * | cpe_platform_get_remark (const struct cpe_platform *item)
| cpe_platform functions to get remark
struct oscap_text_iterator * | cpe_platform_get_titles (const struct cpe_platform *item)
| cpe_platform functions to get titles
const struct cpe_testexpr * | cpe_platform_get_expr (const struct cpe_platform *item)
| cpe_platform functions to get test expression
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | cpe_platform_add_title (struct cpe_platform *platform, struct oscap_text *title)
| Add title to platform.
bool | cpe_platform_set_id (struct cpe_platform *platform, const char *new_id)
| Set ID of CPE platform.
bool | cpe_platform_set_remark (struct cpe_platform *platform, const char *new_remark)
| Set remark of CPE platform.
bool | cpe_platform_set_expr (struct cpe_platform *platform, struct cpe_testexpr *expr)
| Set evaluation expression for this CPE platform. More...
Evaluators
bool | cpe_platform_match_cpe (struct cpe_name **cpe, size_t n, const struct cpe_platform *platform)
| Function to match cpe in platform. More...

## Data Fields
struct oscap_list * | titles
char * | id
char * | remark
struct cpe_testexpr * | expr

## Detailed Description

Single platform representation in CPE language.

The documentation for this struct was generated from the following files:

- cpelang_priv.c
- cpe_lang.h